Create a notification for the current organization.
Create a notification for the current organization — Competitor Tracker & Co. API reference for POST /v1/dispatches: request parameters, request body, response.
Required role: admin or higher (organization-level).
Required scope: dispatches:write (for both OAuth2 tokens and API keys).
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://api.competitortracker.io/v1/dispatches" \ -H "Content-Type: application/json" \ -d '{ "name": "High-priority pages" }'{
"id": "string",
"name": "string",
"isDefault": true,
"includeAllMembers": true,
"theme": "dark",
"language": "en",
"labelIds": [
"string"
],
"recipients": [
{
"id": "string",
"kind": "member",
"userId": "string",
"name": "string",
"email": "string",
"confirmationStatus": "confirmed",
"isOwnerPin": true
}
],
"createdAt": "string",
"updatedAt": "string"
}{
"code": "string",
"message": "string",
"resolution": "string"
}{
"code": "string",
"message": "string",
"resolution": "string"
}List the current organization's notifications. GET
List the current organization's notifications — Competitor Tracker & Co. API reference for GET /v1/dispatches: request parameters, request body, response.
Rename, recolor, or rescope a notification belonging to the current organization. PATCH
Rename, recolor, or rescope a notification belonging to the current organization — Competitor Tracker & Co. API reference for PATCH /v1/dispatches/{id}.